@supports selector(&) {
	.no-js {
		.acs:not(.mz-cms-row[data-widget*="acs"] .acs),
		.mz-cms-row[data-widget*="acs"],
		
		.mz-cms-content:has(#DisruptorBanner),
		#multicategory-product-recs-container,
		.fadeIn,
		.fadeInMob {
			opacity: 1;
			transform: none;

			&:before {
				opacity: 1;
			}
		}
	}
	/* reveal */
	@media (min-width: 768px) {
		.fadejs {
			body:not(.mz-cms-editing) {
				[id^="mz-drop-zone"] {
					.acs:not(.mz-cms-row[data-widget*="acs"] .acs):not(:has(.fadeIn)),
					.mz-cms-row[data-widget*="acs"],
					.mz-cms-content:has(#DisruptorBanner),
					#multicategory-product-recs-container,
					.fadeIn {
						opacity: 0;
						--revealY: 20px;
						transform: translateY(calc(var(--revealY) + var(--hoverY, 0px)));

						&.entering {
							opacity: 1;
							--revealY: 0px;
							transition: opacity 700ms ease-out, transform 700ms ease-out;
						}

						&.revealed {
							opacity: 1;
							--revealY: 0px;
						}

						&.hovItem:hover {
							--hoverY: -2px;
						}
					}
				}
			}
		}
	}

	@media(max-width: 767px) {
		.fadejs {
			body:not(.mz-cms-editing) {
				[id^="mz-drop-zone"] {	
					.acs:not(.mz-cms-row[data-widget*="acs"] .acs):not(:has(.fadeIn, .fadeInMob)),
					.mz-cms-row[data-widget*="acs"],
					.mz-cms-content:has(#DisruptorBanner),
					#multicategory-product-recs-container,
					.fadeIn,
					.fadeInMob,
					.acs.fadeInMob a {
						opacity: 0;

						&.entering {
							opacity: 1;
							transition: opacity 500ms ease-out;
						}

						&.revealed {
							opacity: 1;
						}
					}
				}
			}
		}
	}
	/* hover */
	@media(hover: hover) {
		body {
			--hov-shadow: 0px 2px 3px rgba(0,0,0,0.25);
			--hov-offset: -2px;
			--hov-in: filter 200ms ease-in-out, box-shadow 200ms ease-in-out, transform 200ms ease-in-out;
			--hov-out: filter 100ms ease-out, box-shadow 100ms ease-in-out, transform 100ms ease-out;
		}
		/* .acs .swiper:not(.noHover), */
		.products-slider-wrapper .swiper {
			/* room for shadow since overflow hidden */
			padding-top: 3px;
			margin-top: -3px;
		}
		/* .acs:hover {
			--hoverY: var(--hov-offset);
		} */

		[id^="mz-drop-zone"] {
			a.acs:not(.btn, .noHover),
			.acs:not(.noHover) a:not(.btn, .noHover),
			.acs:not(.noHover):has(> a:only-child),
			.acs.hovItem,
			.acs .hovItem,
			.acs.hovGroup > *,
			.acs .hovGroup > *,
			.recs-pdp-monetate .carousel-item,
			.product-card-loadable,
			.rmn-banner-container {
				transition: var(--hov-out);

				&:hover {
					--hoverY: var(--hov-offset);
					filter: drop-shadow(var(--hov-shadow));
					transform: translateY(calc(var(--revealY) + var(--hoverY, 0px)));
					transition: var(--hov-in);			
				}

				a:only-child {
					display: block;
				}
			}
		}

		.recs-pdp-monetate .carousel-item,
		.product-card-loadable,
		.rmn-banner-container {
			/* personalized elements use box-shadow instead of drop-shadow */
			&:hover {
				filter: none;
				box-shadow: var(--hov-shadow);
			}
		}
		
	}

}